<script lang="ts" setup>
import { nextTick, onMounted, ref } from 'vue'
import type { VForm } from 'vuetify/components'
import { type Salary } from '@/types/Salary'
import http from '@/services/http'
import { useSalaryStore } from '@/stores/salary'
import { useEmployStore } from '@/stores/employee'
import SalaryDialog from '@/components/SalaryDialog.vue'
import { useLoadingStore } from '@/stores/loading'
const salaryStore = useSalaryStore()
const employeeStore = useEmployStore()
const loadingeStore = useLoadingStore();
employeeStore.onMounted
salaryStore.onMounted

</script>
<template>
  <div>
    <v-data-table :headers="salaryStore.headers" :items="salaryStore.salaries" class="custom-datatable">
      <template v-slot:top>
        <v-toolbar flat style="background-color: rgb(247, 156, 82)">
          <v-toolbar-title style="color: white; font-weight: bold; font-size: 30px"
            >Salaries</v-toolbar-title
          >
          <v-divider class="mx-4" inset vertical></v-divider>
          <v-spacer></v-spacer>
          <!-- Put Edited Dialog -->
          <SalaryDialog />
          <!-- Delete Dialog-->
          <v-dialog v-model="salaryStore.dialogDelete" max-width="500px">
            <v-card>
              <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDelete">Cancel</v-btn>
                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.deleteItemConfirm">OK</v-btn>
                <v-spacer></v-spacer>
              </v-card-actions>
            </v-card>
          </v-dialog>
        </v-toolbar>
      </template>
      <template v-slot:[`item.actions`]="{ item }">
        <v-icon size="small" class="me-2" @click="salaryStore.editItem(item)"> mdi-pencil </v-icon>
        <v-icon size="small" @click="salaryStore.deleteItem(item)"> mdi-delete </v-icon>
      </template>
      <template v-slot:no-data>
        <v-btn color="primary" @click="salaryStore.getsalary()">Reset</v-btn>
      </template>
    </v-data-table>
  </div>
</template>

<style>
.custom-datatable th {
  background-color: rgb(236, 235, 235);
  color: black;
  font-weight: bold !important;
  font-size: 15px;
  /* Adjust the font size as needed */
}
</style>
